Package org.springframework.validation.beanvalidation

# Interface MethodValidationAdapter.ObjectNameResolver

Enclosing class:
  MethodValidationAdapter

public static interface MethodValidationAdapter.ObjectNameResolver
Strategy to resolve the name of an `@Valid` method parameter to use for its `BindingResult`.

## Method Summary

Modifier and Type
Method
Description
`String`
`resolveName(org.springframework.core.MethodParameter parameter, Object value)`
Determine the name for the given method argument.

## Method Details

### resolveName

String resolveName(org.springframework.core.MethodParameter parameter, @Nullable Object value)
Determine the name for the given method argument.

Parameters:
  `parameter` - the method parameter
  `value` - the argument value or return value
Returns:
  the name to use